/* 
 * 
 * Home Health Grouper PDGM (Patient-Driven Grouping Model)
 * 
 * Developed for the Center for Medicare and Medicaid Services (CMS)
 * by 3M Health Information Systems.
 * 
 * All code is provided as is.
 * 
 */
package com.mmm.cms.hh.pdgm.data.meta.enumer;

import com.mmm.cms.hh.pdgm.common.abstr.DescribableIF;
import com.mmm.cms.hh.pdgm.common.abstr.IdentifiableIF;

/**
 *
 * @author us340646
 */
public enum ComorbidityLevel_EN implements DescribableIF, IdentifiableIF {

    // Claim Period Timing

    /**
     *
     */

    NO_COMORBIDITY(1,"No comorbidity"),

    /**
     *
     */
    LOW_COMORBIDITY(2,"Low comorbidity"),

    /**
     *
     */
    HIGH_COMORBIDITY(3,"High comorbidity")
    
    ;
    
    private String description;
    private int id;

    private ComorbidityLevel_EN(int id, String description) {
        this.id = id;
        this.description = description;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return description;
    }

    /**
     * @return the id
     */
    @Override
    public int getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    @Override
    public void setId(int id) {
        this.id = id;
    }

}
