/* 
 * 
 * Home Health Grouper PDGM (Patient-Driven Grouping Model)
 * 
 * Developed for the Center for Medicare and Medicaid Services (CMS)
 * by 3M Health Information Systems.
 * 
 * All code is provided as is.
 * 
 */
package com.mmm.cms.hh.pdgm.logic.processor;

/**
 *
 * @author us340646
 */
public class HippsPositionIterator implements HippsPositionSelectorIF {

    // put claim for processing here

    /**
     *
     * @param hippsPosition1
     */
    
    @Override
    public void select(HippsPosition1 hippsPosition1) {
        hippsPosition1.validate();
        hippsPosition1.calculate();
    }

    /**
     *
     * @param hippsPosition2
     */
    @Override
    public void select(HippsPosition2 hippsPosition2) {
        hippsPosition2.validate();
        hippsPosition2.calculate();
    }

    /**
     *
     * @param hippsPosition3
     */
    @Override
    public void select(HippsPosition3 hippsPosition3) {
        hippsPosition3.validate();
        hippsPosition3.calculate();
    }

    /**
     *
     * @param hippsPosition4
     */
    @Override
    public void select(HippsPosition4 hippsPosition4) {
        hippsPosition4.validate();
        hippsPosition4.calculate();
    }

    /**
     *
     * @param hippsPosition5
     */
    @Override
    public void select(HippsPosition5 hippsPosition5) {
        boolean isValid = false;
        isValid = hippsPosition5.validate();
        if(isValid) {
            hippsPosition5.calculate();
        }
    }
    
    /**
     *
     * @param hippsProcessor
     */
    @Override
    public void select(HippsProcessor hippsProcessor) {
        hippsProcessor.validate();
        hippsProcessor.calculate();
    }
    
}
